> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a collaborator's workspace role

> Changes the role of a workspace collaborator identified by `userId`.

Broadcasts a real-time role update event to connected clients on success.



## OpenAPI

````yaml put /workspace/{workspaceId}/change-role
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /workspace/{workspaceId}/change-role:
    put:
      tags:
        - Workspaces
      summary: Update a collaborator's workspace role
      description: >-
        Changes the role of a workspace collaborator identified by `userId`.


        Broadcasts a real-time role update event to connected clients on
        success.
      operationId: changeWorkspaceUserRole
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: workspaceId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                userId:
                  type: string
                  minLength: 1
                role:
                  type: string
                  enum:
                    - owner
                    - admin
                    - member
                    - editor
                    - viewer
              required:
                - userId
                - role
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: boolean
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````